Subject: bug#64830: 30.0.50 C++ treesitter mode no coloration

From: Yuan Fu <[email-masked]>
Date: Mon, 19 Aug 2024 20:46:22 -0700

> On Aug 16, 2024, at 11:27 AM, Eli Zaretskii <[email-masked]> wrote:
> 
>> Date: Fri, 16 Aug 2024 18:06:31 +0000
>> Cc: [email-masked], [email-masked], [email-masked]
>> From: Alan Mackenzie <[email-masked]>
>> 
>>> Maybe your Emacs 30 build is old?
>> 
>> No.  I updated it on Wednesday, the most recent commit I have being:
>> 
>> commit 9bedb957bebdca99b1bb96f58ea790e20ed48dee (HEAD -> emacs-30,
>> origin/emacs-30)
>> Author: Eli Zaretskii <[email-masked]>
>> Date:   Wed Aug 14 11:35:48 2024 +0300
>> 
>>    Improve documentation of time-parsing functions
>> 
>> ..  I will update it right now and retry ....
>> 
>> ..... DONE.  It makes no difference.  I don't understand either why I see
>> this bug and you don't.
> 
> Maybe try updating the C++ grammar library?
> 
> Yuan, any ideas?

Nothing obviously wrong from a glance. I’m very busy recently but I’ll have some time this week to look into this. Sorry for the delay :-)

Yuan